# Project Details

The goal of the course project is to dive more deeply into a particular topic.
The project can be completed in **groups of three** (or in rare situations,
groups of two). A good project could lead to some kind of publication. This
project could take different forms:

- **Conceptual**: Develop a new technique, extend an existing method, or explore
  a new application
- **Experience report**: Experiment with an implementation, trying out different
  examples and describing the overall experience. Or implement something new.
- **Literature survey**: Select a couple (3-5) of closely related papers in a
  recent research area. Summarize the significance, then compare and contrast.
- **Other**: Feel free to propose other kinds of projects.

If at any point you have trouble finding a project, run into difficulties, or
just don't know what to do, **please come talk to me as soon as possible** and I
will help you get unstuck.

## Deliverables

In order to keep projects on track, each group will turn in two milestone
reports along the way, **1-2 pages each**. At one-third of the way through, you
should have settled on a project goal and made some exploratory steps.

- **Milestone 1**. Describe the project goal as concretely as possible,
  summarize what preliminary things have been tried, and plan out directions to
  explore next.
  [Heilmeier's Catechism](https://en.wikipedia.org/wiki/George_H._Heilmeier#Heilmeier%27s_Catechism)
  is a good set of questions to keep in mind.

At two-thirds of the way through, the project should be progressing and it
should be clear what remains to be done.

- **Milestone 2**. Clarify the project goal, summarize current progress, and
  plan out how to finish remaining items. Describe what you think can definitely
  be done, along with reach goals to try if things go well.

Besides the milestones, the main deliverable of the project will be a written
final report, around **15-20 pages** in length (in some reasonable format).
Reports should be written in a research paper style, covering the following
areas in some reasonable order:

- **Introduce** the problem and the motivation. 
- **Review** background and preliminary material.
- **Develop** the main technical core of the project.
- **Evaluate** the results.
- **Survey** related work.

At the end of the course, each group will give a brief project presentation.
