# Welcome to CS 763!

!!! attention
    * Due to COVID-19, CS 763 will be conducted **virtually**.
    * All times are [Madison local time](https://www.timeanddate.com/worldclock/usa/madison).

This is a graduate-level course covering advanced topics in security and privacy
in data science. The field is eclectic, and so is this course. We will start
with three core areas: **differential privacy**, **adversarial machine
learning**, and **applied cryptography** in machine learning. Then, we will
cover two advanced topic areas; this year, **algorithmic fairness** and **formal
verification** for data science. This is a project based course: in small
groups, students will be expected to complete a final project on a technical
topic related to the course.

Besides covering technical material, this course will emphasize research skills:
**reading** research papers, **presenting** technical material, and **writing**
summaries and reviews.

## Logistics

- **Course**: CS 763, Fall 2020
- **Time**: Monday, Wednesday, Friday, 2:30-3:45
- **Location**: BB Collaborate Ultra (BBCU)

For the first ten weeks, lectures will be held on Monday, Wednesday, and Friday.
In the remaining five weeks, you will work on your course projects. Though there
are no lectures scheduled in this period, I will be available to meet as needed.

We will be using **Piazza** to discuss papers, ask questions, and find group
members:

- <https://piazza.com/class/ke3clkclul16hq>

You can also contact me directly. To ensure that your email goes to the right
place, please start the subject with **CS763**.

## Course Staff

- **Instructor**: [Justin Hsu](https://justinh.su)
- **Email**: <mailto:justhsu@cs.wisc.edu>
- **Office hours**: By appointment

## Grading

Grades will be posted on Canvas.

- Presentation and summary
    - Paper presentation: **15%**
    - Presentation summary: **15%**
- **OR:** Paper reviews **(remote only)**
    - 16 reviews: **30%**

- Course project
    - Milestone 1: **10%**
    - Milestone 2: **10%**
    - Final project: **50%**

Everything except the final project will be graded on a simple scale: no
submission (0), below expectations (1), meets expectations (2). Assignments that
significantly exceed expectations can receive additional (bonus) points. The
final project will be graded on a **10-point** scale.

### Paper presentations

In groups of two you will lead one lecture, presenting a few related papers and
guiding the discussion; details [here](assignments/presentations.md).

### Presentation reports

In groups of two you will write up a detailed summary of another group's
presentation; details [here](assignments/summaries.md).

### Course Project

The main course component is the **course project**. You will work individually
or in pairs on a topic of your choice, producing a conference-style write-up and
presenting the project at the end of the semester. The best projects may
eventually lead to a research paper or survey. Details can be found
[here](assignments/project.md).

## Accommodations for Remote Students

To provide opportunities for live discussion, lectures will be held
synchronously. To accommodate students attending from other time zones, all
lectures will be recorded and uploaded to BBCU (this may take a few hours).
Students who are not able to attend synchronously will not be able to present a
paper and write a presentation summary. Instead, these students will complete
paper reviews asynchronously, through **HotCRP**:

- <https://wisc-cs763-20.hotcrp.com/>

!!! attention
    If you are not able to regularly attend live lectures in your time zone, you
    must let me know **during the first week of the course** so I can set up
    your account.

## Academic Honesty

**Writing is a central part of this course.** All students are expected to
follow academic honesty standards. In brief: all the text that you submit must
be **in your own words**, and you are not allowed to copy anything---from a
paper, from the internet, from someone else---without full attribution.

If you are completing paper reviews, you should not search for reviews that may
be online---this is expressly **against the course policies**. You should
complete the review as if you were seeing the paper for the first time. Just
like conference reviewing, all paper reviews are to be done **by yourself**: you
should not talk to anyone about the paper until **after** you have submitted it.
