*Security and privacy* are rapidly emerging as critical research areas in
computer science and beyond. Vulnerabilities in software are found and exploited
almost everyday, with grave consequences. Personal data today is aggregated at
large scales, increasing the risk of privacy violations or breaches. Finally,
*machine-learning* (ML) algorithms are seeing real-world applications in
critical sectors (e.g., health care, automation, and finance), but their
behavior in the presence of malicious adversaries is poorly understood.

This advanced topics class will cover recent techniques from the frontiers of
security and privacy research. Topics will be drawn from the following broad
areas, depending on student interest:

### Differential Privacy
- Basic properties and examples
- Advanced mechanisms
- Local differential privacy

### Adversarial Machine Learning
- Training-time attacks
- Test-time attacks
- Model-theft attacks

### Cryptographic Techniques
- Zero-knowledge proofs
- Secure multi-party computation
- Verifiable computation

## Learning Outcomes

By the end of this course, you should be able to...

- Summarize the basic concepts in differential privacy, applied cryptography,
  and adversarial machine learning.
- Use techniques from differential privacy to design privacy-preserving data
  analyses.
- Grasp the high-level concepts from research literature on the main course
  topics.
- Present and lead a discussion on recent research results.
- Carry out an in-depth exploration of one topic in the form of a self-directed
  research project.

## Credit Information

This is a **3-credit** graduate seminar. For the first 10 weeks of the fall
semester, we will meet for three 75-minute class periods each week. You should
expect to work on course learning activities for about 3 hours out of classroom
for each hour of class.

## Access and Accommodation

The University of Wisconsin-Madison supports the right of all enrolled students
to a full and equal educational opportunity. The Americans with Disabilities Act
(ADA), Wisconsin State Statute (36.12), and UW-Madison policy (Faculty Document
1071) require that students with disabilities be reasonably accommodated in
instruction and campus life. Reasonable accommodations for students with
disabilities is a shared faculty and student responsibility. Students are
expected to inform me of their need for instructional accommodations by the end
of the third week of the semester, or as soon as possible after a disability has
been incurred or recognized. I will work either directly with you or in
coordination with the McBurney Center to identify and provide reasonable
instructional accommodations. Disability information, including instructional
accommodations as part of a student’s educational record, is confidential and
protected under FERPA.
